Ravens PHP Scripts

Zen Cart Two SQL Injection Vulnerabilities
Date: Monday, September 08, 2008 @ 18:12:14 PDT
Topic: Security


SECUNIA ADVISORY ID: SA31758

VERIFY ADVISORY: http://secunia.com/advisories/31758/

CRITICAL: Moderately critical

IMPACT: Manipulation of data

SOFTWARE: Zen Cart 1.x - http://secunia.com/product/3488/

DESCRIPTION: James Bercegay has reported two vulnerabilities in Zen Cart, which can be exploited by malicious people to conduct SQL injection attacks. Successful exploitation requires in both cases that "magic_quotes_gpc" is disabled. The vulnerabilities are reported in versions 1.2.0d to 1.3.8a.



1) Input passed to product attribute values when adding to or updating the shopping cart is not properly sanitised before being used in SQL queries. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

2) Input passed as "products_id" array keys is not properly sanitised before being used in SQL queries. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

SOLUTION: Apply the vendor's official fix: http://www.zen-cart.com/forum/showthread.php?p=604473

PROVIDED AND/OR DISCOVERED BY: James Bercegay, GulfTech Security Research Team

ORIGINAL ADVISORY: http://www.gulftech.org/?node=research&article_id=00129-09042008






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=3443